function solution = backward_solve(initial)

dimOfInitial=size(initial);

noRow = dimOfInitial(1);    % found the number of rows of Initial Matrix
noCol = dimOfInitial(2);    % found number of coloums of Initial Matrix

dimCoeffM = noRow * noCol;   % found the dimension of coeff Matrix
coeffM = zeros(dimCoeffM);   % coeff Matrix is declared sort of..
rowNoInCoeffM = 1;           % for keeping track of row no of coeff M in the below nested for loops      

for _row = 1:noRow 
    for _col = 1:noCol    
    
        coeffM(rowNoInCoeffM , rowNoInCoeffM) = 1;        
        
        try
        % check place in given matrix
        initial(_row , _col + 1);
        % putting 1 in that place
        coeffM(rowNoInCoeffM , rowNoInCoeffM + 1) = 1;        
        catch
        % out of bound so skip
        end
        
        
        try
        % check place in given matrix
        initial(_row , _col - 1);
        % putting 1 in that place
        coeffM(rowNoInCoeffM , rowNoInCoeffM - 1) = 1;        
        catch
        % out of bound so skip
        end
        
        
        try
        % check place in given matrix
        initial(_row + 1 , _col );
        % putting 1 in that place
        coeffM(rowNoInCoeffM , rowNoInCoeffM + noCol) = 1;        
        catch
        % out of bound so skip
        end
        
        try
        % check place in given matrix
        initial(_row - 1, _col);
        % putting 1 in that place
        coeffM(rowNoInCoeffM , rowNoInCoeffM - noCol) = 1;        
        catch
        % out of bound so skip
        end
        
       rowNoInCoeffM = rowNoInCoeffM + 1; 
   end     
end


%created the matrix A in Ax=B;

iniState = zeros(dimCoeffM,1);
for pos=1:1:dimCoeffM
    z=ceil(pos/noCol);
iniState(pos,1)=initial(z,pos-(z-1)*noCol);
end

%created the matrix B in Ax=B

q=det(coeffM);

randSolution = coeffM\(iniState.*q);

sol = rem(abs(round(randSolution)),2);

% finding the solution x in Ax=B by matrix inversion multiplied by det to amke ensure sol has integer entries 
% the operations rem, abs , round assure final entries in matrix are either 0 or 1;

solution=zeros(noRow,noCol);
for iter=1:1:noRow

    solution(iter,:) = sol((iter-1)*noCol+1:iter*noCol).';

end;


%writing the solution in matrix form m x n 







