function solution = backward_solve_3(initial)

actionMatrix = [ 1 , 1 , 0 , 1 , 0 , 0 , 0 , 0 ,0;
				 1 , 1 , 1 , 0 , 1 , 0 , 0 , 0 ,0;	
				 0 , 1 , 1 , 0 , 0 , 1 , 0 , 0 ,0;
				 1 , 0 , 0 , 1 , 1 , 0 , 1 , 0 ,0;
				 0 , 1 , 0 , 1 , 1 , 1 , 0 , 1 ,0;
				 0 , 0 , 1 , 0 , 1 , 1 , 0 , 0 ,1;
				 0 , 0 , 0 , 1 , 0 , 0 , 1 , 1 ,0;
				 0 , 0 , 0 , 0 , 1 , 0 , 1 , 1 ,1;
				 0 , 0 , 0 , 0 , 0 , 1 , 0 , 1 ,1;
				];
%create a 9 x 9 actionMatrix (matrix A in Ax=b)

inState = [ initial(1,1);initial(1,2);initial(1,3);initial(2,1);initial(2,2);initial(2,3);initial(3,1);initial(3,2);initial(3,3); ];

%create a 9 x 1 initial state matrix (matrix B in Ax=b)

p=det(actionMatrix);

ranSolution = actionMatrix\(inState.*p);

solut = rem(abs(round(ranSolution)),2);

% used matrix inversion to find solut
% the operations rem, abs , round assure final entries in matrix are either 0 or 1

solution=[solut(1:3).'; solut(4:6).'; solut(7:9).';];

% final solution in 3 x 3 matrix