inputFile = fopen('input_outlab_task_A1.txt','r');
format = '%f';
% inputFile is opened
params = fscanf(inputFile,format);
fclose(inputFile);
% input is taken into params and inputFile is closed

x1 = params(1);
y1 = params(2);
d = params(3);
w = params(4);
eta = params(5);

#{
x1,y1 : Position of X-wing co-ordinates
d : Distance
w : Width of smoke screen
eta : RefractiveIndex

#}
% calculating  target angle in the below range
rootNearTo = [0, 89.99];
f = @(x) (y1-w)*tand(x) + w*sind(x)/(sqrt(eta^2-(sind(x)^2))) - x1;
targetAngle = fzero(f,rootNearTo);
% finding root using fzero

root = [targetAngle];

% writing it into output file
outputFile = fopen('output_outlab_task_A1.txt','w');
fprintf(outputFile,format,root);
fclose(outputFile);
%closing the output file

%the equation in fsolve is obtained by equating x co-ordinate with the trignometic projections of lazer ray using y and targetAngle
