inputFile = fopen('input_outlab_task_A2.txt','r');
format = '%f';
% inputFile is opened
givenData = fscanf(inputFile,format);
fclose(inputFile);
% input is taken into givenData and inputFile is closed

xT   = givenData(1);
yT   = givenData(2);

xI   = givenData(3);
yI   = givenData(4);

v2   = givenData(5);
vl = givenData(6);

d    = givenData(7);
w    = givenData(8);

eta  = givenData(9);
t1   = givenData(10);

#{

xT,yT : Initial Position of TIE co-ordinates
xI,yI : Initial Position of X-wing co-ordinates

v2    : relative velocity of X-wing w.r.t TIE
vl    : veocity of laser

d     : Distance
w     : Width of smoke screen

eta   : RefractiveIndex
t1    : minimum time interval between two hits


xF,yF : Final Position of X-wing co-ordinates

#}

% calculating  target angle in the below range
rootNearTo = [0.001,60];
f = @(x) (yI-w+ v2*( t1  + ( (( v2*t1 + yI - w )*secd(x) + ((eta^2)*w)/(sqrt(eta^2-(sind(x)^2))))/(vl - v2*secd(x)) )) )*tand(x) + w*sind(x)/(sqrt(eta^2-(sind(x)^2))) - xI;

targetAngle = fzero(f,rootNearTo);
xF = xI;
yF = yI + v2*( t1  + ( (( v2*t1 + yI - w )*secd(targetAngle) + ((eta^2)*w)/(sqrt(eta^2-(sind(targetAngle)^2))))/(vl - v2*secd(targetAngle)) ));

stringWrite = [num2str(targetAngle) " " num2str(xF) " " num2str(yF)];
% finding root using fzero
%writing answer into output file
outputFile = fopen('output_outlab_task_A2.txt','w');
Oformat = '%s';
fprintf(outputFile,Oformat, stringWrite);
fclose(outputFile);
%closing the output file



#{

special comment


t_taken=(( v2*t1 + yI - w )*secd(x) + ((eta^2)*w)/(sqrt(eta^2-(sind(x)^2))))/(vrel - v2*secd(x))

this is the time taken by the second bullet to hit since it's release
this is the value used in targetAngle and yF expressions
essentially yF = yI + v2*(t1 + t_taken)
and target angle and yF  calculated using this yF expression 
#}
