function finalState = final_state_3( initial , action )
% initial and action are 3 x 3 matrices
% finalState is also a 3 x 3 matrix

finalState  = initial;

% preparing a 3 x 3 cell to accomodate all the response matrices
actionResponse = cell(3 ,3);
actionResponse(1 , 1)  = [ 1 1 0 ; 1 0 0 ; 0 0 0 ];
actionResponse(1 , 2)  = [ 1 1 1 ; 0 1 0 ; 0 0 0 ];
actionResponse(1 , 3)  = [ 0 1 1 ; 0 0 1 ; 0 0 0 ];
actionResponse(2 , 1)  = [ 1 0 0 ; 1 1 0 ; 1 0 0 ]; 
actionResponse(2 , 2)  = [ 0 1 0 ; 1 1 1 ; 0 1 0 ];
actionResponse(2 , 3)  = [ 0 0 1 ; 0 1 1 ; 0 0 1 ];  
actionResponse(3 , 1)  = [ 0 0 0 ; 1 0 0 ; 1 1 0 ];  
actionResponse(3 , 2)  = [ 0 0 0 ; 0 1 0 ; 1 1 1 ];  
actionResponse(3 , 3)  = [ 0 0 0 ; 0 0 1 ; 0 1 1 ];

for _row = 1:1:3
    for _column = 1:1:3
        finalState = finalState + actionResponse{_row , _column}  .* action( _row , _column ) ;
    end
end

finalState = rem(finalState , 2);