function solution = lookup_solve_3( initial )

underSolving = initial;

% preparing a 3 x 3 cell to accomodate all the response matrices
actionResponse = cell(3 ,3);
actionResponse(1 , 1)  = [ 1 1 0 ; 1 0 0 ; 0 0 0 ];
actionResponse(1 , 2)  = [ 1 1 1 ; 0 1 0 ; 0 0 0 ];
actionResponse(1 , 3)  = [ 0 1 1 ; 0 0 1 ; 0 0 0 ];
actionResponse(2 , 1)  = [ 1 0 0 ; 1 1 0 ; 1 0 0 ]; 
actionResponse(2 , 2)  = [ 0 1 0 ; 1 1 1 ; 0 1 0 ];
actionResponse(2 , 3)  = [ 0 0 1 ; 0 1 1 ; 0 0 1 ];  
actionResponse(3 , 1)  = [ 0 0 0 ; 1 0 0 ; 1 1 0 ];  
actionResponse(3 , 2)  = [ 0 0 0 ; 0 1 0 ; 1 1 1 ];  
actionResponse(3 , 3)  = [ 0 0 0 ; 0 0 1 ; 0 1 1 ];

% table given for applying move on the top row
bottomRowKey = cell(8 , 1);
keyValuePair = [ [ 0 0 0 ] ; [ 0 0 0 ] ];
bottomRowKey(1 , 1) = keyValuePair ;   
keyValuePair = [ [ 0 0 1 ] ; [ 0 1 1 ] ];
bottomRowKey(2 , 1) = keyValuePair ;
keyValuePair = [ [ 0 1 0 ] ; [ 1 1 1 ] ];
bottomRowKey(3 , 1) = keyValuePair ;
keyValuePair = [ [ 0 1 1 ] ; [ 1 0 0 ] ];
bottomRowKey(4 , 1) = keyValuePair ;
keyValuePair = [ [ 1 0 0 ] ; [ 1 1 0 ] ];
bottomRowKey(5 , 1) = keyValuePair ;
keyValuePair = [ [ 1 0 1 ] ; [ 1 0 1 ] ];
bottomRowKey(6 , 1) = keyValuePair ;
keyValuePair = [ [ 1 1 0 ] ; [ 0 0 1] ];
bottomRowKey(7 , 1) = keyValuePair ;
keyValuePair = [ [ 1 1 1 ] ; [ 0 1 0 ] ];
bottomRowKey(8 , 1) = keyValuePair ;

solution = [ 0 0 0 ; 0 0 0 ; 0 0 0 ];

% first step
for _row = 1:1:2
    for _column = 1:1:3
        % updating solution and 'pressing the appropriate buttons' 
        solution(_row + 1 , _column) = solution(_row + 1 , _column)  + 1 * underSolving(_row , _column)   ;
        underSolving = underSolving +  actionResponse{_row + 1 , _column} .* underSolving(_row , _column) ;
    end
end
% mod 2
underSolving = rem(underSolving  , 2);
solution = rem(solution  ,  2);
% mod 2
% first step 


temp = bottomRowKey{1 , 1};
if(underSolving(3 , :) == temp(1 , :))
     % solved 
    return;
else
    % leave 
    end

% second step    
for _reference = 2:1:8

    temp = bottomRowKey{_reference , 1};
    temp1 = temp(1 , :);
    temp2 = temp(2 , :);

    
    if(underSolving(3 , :) == temp1)
     % press accordingly in top row 
        % updating solution and 'pressing the appropriate buttons' 
        solution(1 , :) = temp2; 
        underSolving = underSolving +  actionResponse{1 , 1} .* temp2(1) ... 
                                                        +  actionResponse{1 , 2} .* temp2(2)  ...
                                                        +  actionResponse{1 , 3} .* temp2(3);
    else
    % leave 
    end  
end

% second step

% third step
for _row = 1:1:2
    for _column = 1:1:3
        % updating solution and 'pressing the appropriate buttons' 
        solution(_row + 1 , _column) = solution(_row + 1 , _column)  + 1 * underSolving(_row , _column)   ;
        underSolving = underSolving +  actionResponse{_row + 1 , _column} .* underSolving(_row , _column) ;
    end
end
% mod 2
underSolving = rem(underSolving  , 2);
solution = rem(solution  ,  2);
% mod 2
% third step 